# motion.conf
#
# Config file for motion, written by Jeroen Vreeken, 2000
#brightness              36352
#hue                     49152
#colour                  49152
#contrast                22016
#whiteness               26880
#depth                   12


# Try to adjust the framerate of the created mpegs to be as close to normal
# as possible
# Defaul: no
adjust_rate yes

# Always display the differences between the captured frame and the reference frame
# This can come in handy while tuning your setup.
# Default: no
#always_changes yes

# Start in deamon mode and release terminal
# Default: no
#deamon yes

# Make automated snapshots every N seconds
# Default: 0 seconds (no snapshots) 
#snapshots 3600

# Threshold for declaring motion
# Default 1500
#threshold 1500

# Maximum number of frames to be saved per second
# Default: 100 (=almost infinite ;)
#framerate 100

# Locate and draw a box around the moving object
# Default: yes
#locate no

# Output pictures with only the moving object
# Default: no
#output_motion yes

# Output 'normal' pictures
# Default: yes
#output_normal no

# Target directory for pictures
# Default: current working directory
#target_dir shots

# The videodevice to be used for capturing
# Default: /dev/video0
#videodevice /dev/video0

# The input to be used
# Default: 8
#input 8

# The video norm to use
# Default: 0 (PAL) 
norm 0

# The default quality for the jpeg compression
# Default: 100
#quality 100

# The width for each frame
# Default: 352
#width 640

# The height for each frame
# Default: 288
#height 480

# External command to be executed when detecting motion
# Default: none
#execute command

# Mail address to send a warning to when detecting motion
# Default: none
#mail my@address

# Number to send an sms to with sms_client
# Default: none
#sms TELCO:nr

# The minimum gap between two events in seconds
# Default: 300
#gap 10

# Use the Berkeley mpeg encoder 'mpeg_encode'
# Default: no
mpeg_encode yes

# The maximum length (in seconds) of an mpeg movie.
# Default: 3600 (one hour)
#max_mpeg_time 0

# Be quiet, don't output beeps when detecting motion.
# (This setting obviously has no effect when in deamon mode)
# Default: no
#quiet yes

# Display the real differences between images instead of only those detected.
# Default: no
#realmotion yes

# Output ppm images, less cpu load, more harddisk io load
# Default: no
#ppm no

# Minimum time between two shots in seconds.
# Default: 0
#minimum_gap 5

# The ppm file to use as a sensitivity mask.
# Default: no
#mask_file mask.ppm

# Activate the light switch filter.
# Default: off
#lightswitch yes

# With this option motion can output its images to a video4linux loopback device.
# Using this you can view the results in real time.
# Default: not set
#video_pipe /dev/video1

# This option is the same as video_pipe but for motion images.
# It can be used simultaniously with video_pipe.
# Default: not set
#motion_video_pipe /dev/video3

# When this option is set to yes jpg images will be deleted after creation of an
# mpeg movie
# Default: yes
#jpg_cleanup no

# This command is executed everytime an image is saved.
# The name of the picture is given as an argument.
# Default: not set
#onsave onsavescript.sh

# This option is similar to the onsave command, but it is called when an mpeg
# movie has been created.
# The name of the mpeg file is given as an argument.
# Default: not set
#onmpeg onmpegscript.sh

# If you want to use an Axis 2100 network camera instead of a video4linux device,
# specify its ip address here:
# Default: not set
#axis 192.168.1.5

# This option will enable motion to adjust the noise level for dark pictures.
# Default: yes
#night_compensate no

# Use these functions if you want to log events in an MySQL database.
# Default: not set
#mysql_db alldata
#mysql_host localhost
#mysql_user dbuser
#mysql_password dbuser

# These are _VERY_ experimental settings for tracking motion with the
# mini_ssc library.
# If you don't know what these settings mean don't worry, you wont need
# them.
track_port 0
track_baud 9600
track_servox 0
track_servoy 1
track_maxx 255
track_maxy 255
track_step 5
track_wait 10
